Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick
Class QFilterFactory

    java.lang.Object
      |
      +--com.jxml.quick.QBase
            |
            +--com.jxml.quick.QFilterFactory

Direct Known Subclasses:
  QExpressFactory, QListFactory, QTraceFactory

public class QFilterFactory
extends QBase

Inner Class Summary
`class` | `QFilterFactory.QFilter`

Field Summary
`QContext` | `newContext`

Constructor Summary
`QFilterFactory()`

Method Summary
`void` | `addFactory(QFilterFactory factory)`
`void` | `addToFactory(QFilterFactory factory)`
`QContext` | `createContext()`
`QFilterFactory.QFilter` | `createFilter(QContext context)`
`protected void` | `initFF(QContext context)`
`protected QFilterFactory.QFilter` | `newFilter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### newContext

    public QContext newContext

Constructor Detail

### QFilterFactory

    public QFilterFactory()

Method Detail

### createContext

    public QContext createContext()
                           throws SAXException

### createFilter

    public final QFilterFactory.QFilter createFilter(QContext context)
                                              throws QE

### initFF

    protected void initFF(QContext context)
                   throws QE

### newFilter

    protected QFilterFactory.QFilter newFilter()
                                        throws QE

### addToFactory

    public void addToFactory(QFilterFactory factory)
                      throws QE

  Overrides:
    `addToFactory` in class `QBase`

### addFactory

    public void addFactory(QFilterFactory factory)
                    throws QE

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD